zenilib: Zeni::Vertex_Buffer_Renderer_GL_Fixed Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Public Member Functions | List of all members
Zeni::Vertex_Buffer_Renderer_GL_Fixed Class Reference

`#include <Vertex_Buffer.h>`

Inherits Zeni::Vertex_Buffer_Renderer.

## Public Member Functions

| Vertex_Buffer_Renderer_GL_Fixed (Vertex_Buffer &vertex_buffer)
virtual | ~Vertex_Buffer_Renderer_GL_Fixed ()
virtual void | render ()
Public Member Functions inherited from Zeni::Vertex_Buffer_Renderer
| Vertex_Buffer_Renderer (Vertex_Buffer &vertex_buffer)
virtual | ~Vertex_Buffer_Renderer ()

## Additional Inherited Members

Protected Attributes inherited from Zeni::Vertex_Buffer_Renderer
Vertex_Buffer & | m_vbo

## Detailed Description

Definition at line 213 of file Vertex_Buffer.h.

## Constructor & Destructor Documentation

Zeni::Vertex_Buffer_Renderer_GL_Fixed::Vertex_Buffer_Renderer_GL_Fixed | ( | Vertex_Buffer & | vertex_buffer | ) |

HACK: Switch to BGRA order

Definition at line 443 of file Vertex_Buffer.cpp.

References Zeni::get_Video(), GL_ARRAY_BUFFER_ARB, GL_STATIC_DRAW_ARB, i, j, memcpy, memset, Zeni::Video_GL_Fixed::pglBindBufferARB(), Zeni::Video_GL_Fixed::pglBufferDataARB(), Zeni::Video_GL_Fixed::pglGenBuffersARB(), and swap().

Zeni::Vertex_Buffer_Renderer_GL_Fixed::~Vertex_Buffer_Renderer_GL_Fixed | ( |  | ) |

virtual

Definition at line 550 of file Vertex_Buffer.cpp.

References Zeni::get_Video(), i, and Zeni::Video_GL_Fixed::pglDeleteBuffersARB().

## Member Function Documentation

void Zeni::Vertex_Buffer_Renderer_GL_Fixed::render | ( |  | ) |

virtual

Implements Zeni::Vertex_Buffer_Renderer.

Definition at line 596 of file Vertex_Buffer.cpp.

References Zeni::get_Video(), GL_ARRAY_BUFFER_ARB, GL_COLOR_ARRAY, GL_FLOAT, GL_NORMAL_ARRAY, GL_TEXTURE_COORD_ARRAY, GL_UNSIGNED_BYTE, GL_VERTEX_ARRAY, glColorPointer, glDisableClientState, glEnableClientState, glNormalPointer, glTexCoordPointer, glVertexPointer, Zeni::Vertex_Buffer_Renderer::m_vbo, Zeni::Video_GL_Fixed::pglBindBufferARB(), and Zeni::render().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Vertex_Buffer.h
- zenilib/jni/external/zenilib/zeni_graphics/Vertex_Buffer.cpp
- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Vertex_Buffer.hxx